Advanced roadmap - Error #1580

Error when loading calendars: sudo_mode in "add_milestones"
2020-06-03 09:18 - Cyril Poulet

Status: Resolved Start date: 2020-06-05
Priority: Normal Due date: 2020-06-05
Assignee: Emilio Gonzalez Montafia % Done: 100%
Category: Calendars Estimated time: 0.00 hour
Target version: Advanced roadmap 0.13.0

Source: Customer Redmine version: Redmine 4.1.0
Detected on version: Advanced roadmap 0.13.0

Description
from production.log :

Processing by CalendarsControllerf#show as HTML
Completed 500 Internal Server Error in 14ms (ActiveRecord: 4.3ms)

LocalJumpError (no block given (yield)):

plugins/advanced_roadmap/lib/advanced_roadmap/calendars_controller_patch.rb:20:in
lib/redmine/sudo_mode.rb:65:in " sudo_mode'

Installed Redmine :

Redmine version 4.1.1.stable

Ruby version 2.5.5-p157 (2019-03-15) [x86_64-linux-gnu]
Rails version 5.24.2

Environment production

Database adapter PostgreSQL

Mailer queue ActiveJob::QueueAdapters::AsyncAdapter
Mailer delivery smtp

‘add_milestones'

Associated revisions

Revision 23004ead - 2020-06-13 16:25 - Emilio Gonzalez Montafia

#1580 Fix calendars view (Redmine 4 migration bug)

History

#1 - 2020-06-05 19:02 - Emilio Gonzalez Montafia
- Redmine version changed from Redmine trunk to Redmine 4.1.0
- Start date set to 2020-06-05

- Status changed from New to In progress

Reproduced... | will fix it.

#2 - 2020-06-13 16:26 - Emilio Gonzalez Montaia
- % Done changed from 0 to 100

- Status changed from In progress to Resolved

#3 - 2020-06-13 16:31 - Emilio Gonzalez Montaina
- Due date set to 2020-06-05
